Package it.polito.appeal.traci.protocol

## Class StatusResponse

- java.lang.Object
- - it.polito.appeal.traci.protocol.StatusResponse

-     public class StatusResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatusResponse​(int id)` |
    `StatusResponse​(int id, int result, String description)` |
    `StatusResponse​(Storage packet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `description()` |
    `int` | `id()` |
    `int` | `result()` |
    `void` | `writeTo​(Storage out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusResponse

          public StatusResponse​(int id)

    - #### StatusResponse

          public StatusResponse​(int id,
                                int result,
                                String description)

    - #### StatusResponse

          public StatusResponse​(Storage packet)
                         throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### id

          public int id()

    - #### result

          public int result()

      Returns:
        the result

    - #### description

          public String description()

      Returns:
        the description

    - #### writeTo

          public void writeTo​(Storage out)
                       throws IOException

      Throws:
        `IOException`